﻿using Infragistics.Web.UI.ListControls;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        PopulateImageViewer();
    }

    private string[] GetFiles()
    {        
        string webCurrentDirectory = HttpRuntime.AppDomainAppPath;
        string[] filePaths = Directory.GetFiles(webCurrentDirectory + @"\images\", "*.jpg", SearchOption.TopDirectoryOnly);
        string[] fileNames = filePaths.Select(filePath => Path.GetFileName(filePath)).ToArray();
        return fileNames;
    }

    private void PopulateImageViewer()
    {
        string[] fileNames = GetFiles();

        foreach (string fileName in fileNames)
        {
            ImageItem imageItem = new ImageItem(@"images/" + fileName, fileName, fileName + " tooltip");
            imageViewer.Items.Add(imageItem);
        }
    }
}